RubyGems Navigation menu

minitest 2.10.0

minitest provides a complete suite of testing facilities supporting TDD, BDD, mocking, and benchmarking. "I had a class with Jim Weirich on testing last week and we were allowed to choose our testing frameworks. Kirk Haines and I were paired up and we cracked open the code for a few test frameworks... I MUST say that mintiest is *very* readable / understandable compared to the 'other two' options we looked at. Nicely done and thank you for helping us keep our mental sanity." -- Wayne E. Seguin minitest/unit is a small and incredibly fast unit testing framework. It provides a rich set of assertions to make your tests clean and readable. minitest/spec is a functionally complete spec engine. It hooks onto minitest/unit and seamlessly bridges test assertions over to spec expectations. minitest/benchmark is an awesome way to assert the performance of your algorithms in a repeatable manner. Now you can assert that your newb co-worker doesn't replace your linear algorithm with an exponential one! minitest/mock by Steven Baker, is a beautifully tiny mock object framework. minitest/pride shows pride in testing and adds coloring to your test output. I guess it is an example of how to write IO pipes too. :P minitest/unit is meant to have a clean implementation for language implementors that need a minimal set of methods to bootstrap a working test suite. For example, there is no magic involved for test-case discovery. "Again, I can’t praise enough the idea of a testing/specing framework that I can actually read in full in one sitting!" -- Piotr Szotkowski


  1. 5.11.3 - January 26, 2018 (77.5 KB)
  2. 5.11.2 - January 25, 2018 (77.5 KB)
  3. 5.11.1 - January 02, 2018 (77.5 KB)
  4. 5.11.0 - January 01, 2018 (77.5 KB)
  5. 5.11.0b1 - December 21, 2017 (77 KB)
  6. 2.10.0 - December 21, 2011 (44.5 KB)
Show all versions (110 total)

Development Dependencies (2):


  • Ryan Davis



SHA 256 checksum:


Total downloads 130,244,262

For this version 37,551

= Copy to clipboard Copied!




Required Ruby Version: None